package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Post;
import org.restlet.resource.ResourceException;

/**
 * Interface for the Ontology Annotation Web Service providing the ability to create, update, delete
 * and get annotations.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface BulkDeleteAnnotationResource
{
    /**
     * Remove these resources.
     */
    @Post
    void deleteAnnotations(Representation entity, Variant variant) throws ResourceException;
    
}