/**
 * 
 */
package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

/**
 * Interface for the Index page.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface IndexResource
{
    /**
     * Returns a representation containing the index page.
     * 
     * @param entity
     * @return
     * @throws ResourceException
     */
    @Get("html")
    Representation getIndexPageHtml(Representation entity) throws ResourceException;
    
}
