package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

/**
 * Logout resource which accepts HTTP GET.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface LogoutResource
{
    /**
     * Logs out the current user.
     * 
     * @param entity
     * @return
     * @throws ResourceException
     */
    @Get
    Representation performLogout(Representation entity) throws ResourceException;
    
}